%global debug_package %{nil}

Name:           check_nwc_health
Version:        5.10.0.2
Release:        1%{?dist}
Summary:        Nagios plugin to check various parameters of Network

Group:          Applications/System
License:        GPLv2+
URL:            http://labs.consol.de/lang/en/nagios/check_nwc_health/
Source0:        https://labs.consol.de/assets/downloads/nagios/%{name}-%{version}.tar.gz  
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  make
BuildRequires:  autoconf 
BuildRequires:  automake 
BuildRequires:  libtool
Requires:       nagios-plugins
Requires:       perl(Data::Dumper)
Requires:       perl(File::Basename) 
Requires:       perl(Getopt::Long) 
Requires:       perl(IO::File)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(--lookback) >= 3600

%description
This plugin checks the hardware health and various interface metrics
of network components like switches and routers.

%prep
%setup -q

%build
%configure --prefix=%{_libdir}/nagios --libexecdir=%{_libdir}/nagios/plugins --with-perl=%{__perl} --enable-perfdata --enable-extendedinfo
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755, root, root, 0755)
%{_libdir}/nagios/plugins/check_nwc_health
%defattr(-, root, root, -)
%doc README AUTHORS TODO

%changelog
* Tue Dec 27 2016 David Hannequin <david.hannequin@gmail.com> - 5.10.0.2-1
- Update from upstream.

* Wed Jul 27 2016 David Hannequin <david.hannequin@fullsave.com> - 5.7.1.3-1
- Update from upstream.

* Thu Nov 19 2015 David Hannequin <david.hannequin@fullsave.com> - 4.6.1-1
- Update from upstream.

* Tue Sep 08 2015 David Hannequin <david.hannequin@fullsave.com> - 4.3.1-1
- Update from upstream.

* Mon Aug 03 2015 David Hannequin <david.hannequin@fullsave.com> - 4.2-1
- Update from upstream.

* Mon Jun 08 2015 David Hannequin <david.hannequin@fullsave.com> - 3.5.1-1
- Update from upstream.

* Fri Nov 21 2014 David Hannequin <david.hannequin@fullsave.com> - 3.2.0.1
- Update from upstream.

* Wed Sep 10 2014 David Hannequin <david.hannequin@fullsave.com> - 3.0.3.7-1
- Update from upstream.

* Fri Jun 20 2014 David Hannequin <david.hannequin@fullsave.com> - 3.0i-1
- Fix requires

* Thu Jul 11 2013 David Hannequin <david.hannequin@fullsave.com> - 2.0-5
- Fix requires

* Thu Jul 11 2013 David Hannequin <david.hannequin@fullsave.com> - 2.0-1
- update from upstream

* Tue Jul 9 2013 David Hannequin <david.hannequin@fullsave.com> - 1.4.9.1-4
- Fix require

* Tue Jul 9 2013 David Hannequin <david.hannequin@fullsave.com> - 1.4.9.1-3
- Fix require

* Thu Dec 27 2012 David Hannequin <david.hannequin@fullsave.com> - 1.4.9.1-2
- Fix require

* Mon Dec 24 2012 David Hannequin <david.hannequin@fullsave.com> - 1.4.9.1-1
- First release for fedora.
